loci.formats.filter

## Class LZ4Filter

- java.lang.Object
- - ucar.nc2.filter.Filter
  - - loci.formats.filter.LZ4Filter

-     public class LZ4Filter
      extends ucar.nc2.filter.Filter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LZ4Filter.LZ4FilterProvider`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private io.airlift.compress.lz4.Lz4Decompressor` | `decompressor`
    `(package private) static int` | `id`
    `(package private) static java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LZ4Filter(java.util.Map<java.lang.String,java.lang.Object> properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `decode(byte[] dataIn)`
    `byte[]` | `encode(byte[] dataIn)`
    `int` | `getId()`
    `java.lang.String` | `getName()`

    - ### Methods inherited from class ucar.nc2.filter.Filter

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          static final java.lang.String name

      See Also:
        Constant Field Values

    - #### id

          static final int id

      See Also:
        Constant Field Values

    - #### decompressor

          private io.airlift.compress.lz4.Lz4Decompressor decompressor

  - ### Constructor Detail

    - #### LZ4Filter

          public LZ4Filter(java.util.Map<java.lang.String,java.lang.Object> properties)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in class `ucar.nc2.filter.Filter`

    - #### getId

          public int getId()

      Specified by:
        `getId` in class `ucar.nc2.filter.Filter`

    - #### encode

          public byte[] encode(byte[] dataIn)
                        throws java.io.IOException

      Specified by:
        `encode` in class `ucar.nc2.filter.Filter`
      Throws:
        `java.io.IOException`

    - #### decode

          public byte[] decode(byte[] dataIn)
                        throws java.io.IOException

      Specified by:
        `decode` in class `ucar.nc2.filter.Filter`
      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment